POST /v1/gateway/payment/{id}/cancel - WalletConnect Pay Docs
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \
--url https://api.pay.walletconnect.com/v1/gateway/payment/{id}/cancel \
--header 'Api-Key: <api-key>'
import requests
url = "https://api.pay.walletconnect.com/v1/gateway/payment/{id}/cancel"
headers = {"Api-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)
const options = {method: 'POST', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.pay.walletconnect.com/v1/gateway/payment/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Responses
200
Payment cancelled successfully{ "cancelledAt": "2025-01-14T10:30:00Z", "cancelledReason": "cancelled_by_user", "paymentId": "pay_c4a2ecc101KQFN7X7RZACHTYV7JX5C4QET", "status": "cancelled" }400
{ "message": "<string>" }401
{ "message": "<string>" }404
{ "message": "<string>" }500
{ "message": "<string>" }
Authorizations
API Key
- Api-Key
- Type: string
- Required: yes
Headers
| Name | Type | Required |
|---|---|---|
| Api-Key | string | yes |
| App-Id | string | no |
| Client-Id | string | no |
| WCP-Version | string | no |
| Sdk-Name | string | no |
| Sdk-Version | string | no |
| Sdk-Platform | string | no |
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | yes | Payment ID (e.g., "pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV") |